Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Class KnownServerKey

java.lang.Object
org.firebirdsql.gds.ng.wire.crypt.KnownServerKey

public final class KnownServerKey extends Object
Class to hold server keys known to the client.

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final record`
`KnownServerKey.PluginSpecificData`
Class to hold plugin specific data.

## Constructor Summary

Constructors
Constructor
Description
`KnownServerKey(String keyType, String plugins, Map<String,byte[]> specificData)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`List<KnownServerKey.PluginSpecificData>`
`getPluginSpecificData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KnownServerKey

public KnownServerKey(String keyType, String plugins, Map<String,byte[]> specificData)

## Method Details

### getPluginSpecificData

public List<KnownServerKey.PluginSpecificData> getPluginSpecificData()

### clear

public void clear()